import { OnInit, AfterViewInit, ElementRef, Renderer2, ChangeDetectorRef } from '@angular/core';
import { BaseDirective } from 'barsa-novin-ray-core';
import * as i0 from "@angular/core";
export declare class ChartBaseDirective extends BaseDirective implements OnInit, AfterViewInit {
    protected _el: ElementRef;
    protected renderer2: Renderer2;
    private _cdr;
    chartInstanceId: string;
    parentMoId: string;
    chart: any;
    chartOption: any;
    constructor(_el: ElementRef, renderer2: Renderer2, _cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    resize(): void;
    protected _renderChart(): void;
    private _loadChartInstance;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartBaseDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ChartBaseDirective, "[echartRenderer]", ["echartRenderer"], { "chartInstanceId": { "alias": "chartInstanceId"; "required": false; }; "parentMoId": { "alias": "parentMoId"; "required": false; }; }, {}, never, never, false, never>;
}
