import { ElementRef, OnInit } from '@angular/core';
import { BaseComponent } from 'barsa-novin-ray-core';
import { AreaChart } from '../../models/area-chart';
import * as i0 from "@angular/core";
export declare class MicroChartAreaComponent extends BaseComponent implements OnInit {
    el: ElementRef;
    chartInstanceId: string;
    parentMoId: string;
    size: string;
    chartData: AreaChart;
    suffix: string | undefined;
    firstValue: string;
    lastValue: string;
    firstLabel: string;
    lastLabel: string;
    constructor(el: ElementRef);
    ngOnInit(): void;
    getFirstAndLastValues(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MicroChartAreaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MicroChartAreaComponent, "be-micro-chart-area", never, { "chartInstanceId": { "alias": "chartInstanceId"; "required": false; }; "parentMoId": { "alias": "parentMoId"; "required": false; }; "size": { "alias": "size"; "required": false; }; "chartData": { "alias": "chartData"; "required": false; }; }, {}, never, never, false, never>;
}
