import { AfterViewInit, ElementRef, OnInit, Renderer2 } from '@angular/core';
import { BaseComponent } from 'barsa-novin-ray-core';
import * as i0 from "@angular/core";
export declare class MicroChartBulletComponent extends BaseComponent implements OnInit, AfterViewInit {
    private renderer;
    chartInstanceId: string;
    parentMoId: string;
    deltaDom: ElementRef<HTMLElement>;
    range: number;
    value: number;
    forecast: number;
    target: number;
    suffix: string;
    separatorLines: any;
    isDelta: boolean;
    delta: number;
    forecastWidth: string;
    deltaWidth: string;
    valueWidth: string;
    targetWidth: string;
    deltaBackgroundColor: string;
    forecastBackgroundColor: string;
    valueBackgroundColor: string;
    targetWithSuffix: string;
    deltaWithSuffix: string;
    valueWithSuffix: string;
    separatorLinesFakeArray: number[];
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    getWidth(value: number, isTarget?: boolean): string;
    getValueWithSuffix(value: number): string;
    getBackgroundColor(item: 'value' | 'forecast' | 'delta'): string;
    fakeArray(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MicroChartBulletComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MicroChartBulletComponent, "be-micro-chart-bullet", never, { "chartInstanceId": { "alias": "chartInstanceId"; "required": false; }; "parentMoId": { "alias": "parentMoId"; "required": false; }; "range": { "alias": "range"; "required": false; }; "value": { "alias": "value"; "required": false; }; "forecast": { "alias": "forecast"; "required": false; }; "target": { "alias": "target"; "required": false; }; "suffix": { "alias": "suffix"; "required": false; }; "separatorLines": { "alias": "separatorLines"; "required": false; }; "isDelta": { "alias": "isDelta"; "required": false; }; }, {}, never, never, false, never>;
}
